aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.SimpleDb.Commands.Select

# Documentation

data Select Source #

Constructors

Select |

Fields

- sSelectExpression :: Text
- sConsistentRead :: Bool
- sNextToken :: Maybe Text

#### Instances

Instances details

SignQuery Select Source # | ServiceConfiguration: `SdbConfiguration`

Instance details

Defined in Aws.SimpleDb.Commands.Select

Associated Types

type ServiceConfiguration Select |
Instance details Defined in Aws.SimpleDb.Commands.Select type ServiceConfiguration Select = SdbConfiguration

Methods

signQuery :: Select -> ServiceConfiguration Select queryType -> SignatureData -> SignedQuery Source #

Show Select Source # |
Instance details Defined in Aws.SimpleDb.Commands.Select Methods showsPrec :: Int -> Select -> ShowS Source # show :: Select -> String Source # showList :: [Select] -> ShowS Source #
IteratedTransaction Select SelectResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Select Methods nextIteratedRequest :: Select -> SelectResponse -> Maybe Select Source #
Transaction Select SelectResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Select
type ServiceConfiguration Select Source # |
Instance details Defined in Aws.SimpleDb.Commands.Select type ServiceConfiguration Select = SdbConfiguration

data SelectResponse Source #

Constructors

SelectResponse |

Fields

- srItems :: [Item [Attribute Text]]
- srNextToken :: Maybe Text

#### Instances

Instances details

AsMemoryResponse SelectResponse Source # |

Instance details

Defined in Aws.SimpleDb.Commands.Select

Associated Types

type MemoryResponse SelectResponse |
Instance details Defined in Aws.SimpleDb.Commands.Select type MemoryResponse SelectResponse = SelectResponse

Methods

loadToMemory :: SelectResponse -> ResourceT IO (MemoryResponse SelectResponse) Source #

Show SelectResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Select Methods showsPrec :: Int -> SelectResponse -> ShowS Source # show :: SelectResponse -> String Source # showList :: [SelectResponse] -> ShowS Source #
IteratedTransaction Select SelectResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Select Methods nextIteratedRequest :: Select -> SelectResponse -> Maybe Select Source #
ResponseConsumer r SelectResponse Source # |

Instance details

Defined in Aws.SimpleDb.Commands.Select

Associated Types

type ResponseMetadata SelectResponse |
Instance details Defined in Aws.SimpleDb.Commands.Select type ResponseMetadata SelectResponse = SdbMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata SelectResponse) -> HTTPResponseConsumer SelectResponse Source #

Transaction Select SelectResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Select
ListResponse SelectResponse (Item [Attribute Text]) Source # |
Instance details Defined in Aws.SimpleDb.Commands.Select Methods listResponse :: SelectResponse -> [Item [Attribute Text]] Source #
type MemoryResponse SelectResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Select type MemoryResponse SelectResponse = SelectResponse
type ResponseMetadata SelectResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Select type ResponseMetadata SelectResponse = SdbMetadata

select :: Text -> Select Source #